package test.cn.unitid.realidentity.openapi.sdk;

import cn.unitid.witeye.sdk.ApiClient;
import cn.unitid.witeye.sdk.ApiException;
import cn.unitid.witeye.sdk.DefaultApiClient;
import cn.unitid.witeye.sdk.request.VerificationGetStatusRequest;
import cn.unitid.witeye.sdk.response.VerificationGetStatusResponse;
import com.alibaba.fastjson.JSONObject;

/**
 * @author qzh
 * @create 2020-07-29 2020/7/29
 */
public class VerificationGetStatus {
    public static void main(String[] args) {
        //提供的url
        String url = "http://eapi.spiderid.cn/openapi/verification";
        //您的appKey
        String appkey = "XXX";
        //您的appSecret
        String secretKey = "XXX";

        //1.原客户端
        ApiClient apiClient = new DefaultApiClient(url, appkey, secretKey);
        //2.调用出错，自动重试客户端
        //AutoRetryApiClient apiClient = new AutoRetryApiClient(url, appkey, secretKey);

        VerificationGetStatusRequest req = new VerificationGetStatusRequest();

        req.setAuthToken("XXX");

        try {
            VerificationGetStatusResponse response = apiClient.execute(req);
            //后续业务处理

        } catch (ApiException e) {
            e.printStackTrace();
        }
    }
}
